﻿#pragma warning disable 1591
//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.42000
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace Air_Reservation_System
{
	using System.Data.Linq;
	using System.Data.Linq.Mapping;
	using System.Data;
	using System.Collections.Generic;
	using System.Reflection;
	using System.Linq;
	using System.Linq.Expressions;
	using System.ComponentModel;
	using System;
	
	
	[global::System.Data.Linq.Mapping.DatabaseAttribute(Name="Air_Reservation")]
	public partial class FlightDetails_TableDataContext : System.Data.Linq.DataContext
	{
		
		private static System.Data.Linq.Mapping.MappingSource mappingSource = new AttributeMappingSource();
		
    #region Extensibility Method Definitions
    partial void OnCreated();
    partial void InsertFlight_Detail(Flight_Detail instance);
    partial void UpdateFlight_Detail(Flight_Detail instance);
    partial void DeleteFlight_Detail(Flight_Detail instance);
    #endregion
		
		public FlightDetails_TableDataContext() : 
				base(global::Air_Reservation_System.Properties.Settings.Default.Air_ReservationConnectionString, mappingSource)
		{
			OnCreated();
		}
		
		public FlightDetails_TableDataContext(string connection) : 
				base(connection, mappingSource)
		{
			OnCreated();
		}
		
		public FlightDetails_TableDataContext(System.Data.IDbConnection connection) : 
				base(connection, mappingSource)
		{
			OnCreated();
		}
		
		public FlightDetails_TableDataContext(string connection, System.Data.Linq.Mapping.MappingSource mappingSource) : 
				base(connection, mappingSource)
		{
			OnCreated();
		}
		
		public FlightDetails_TableDataContext(System.Data.IDbConnection connection, System.Data.Linq.Mapping.MappingSource mappingSource) : 
				base(connection, mappingSource)
		{
			OnCreated();
		}
		
		public System.Data.Linq.Table<Flight_Detail> Flight_Details
		{
			get
			{
				return this.GetTable<Flight_Detail>();
			}
		}
	}
	
	[global::System.Data.Linq.Mapping.TableAttribute(Name="dbo.Flight_Details")]
	public partial class Flight_Detail : INotifyPropertyChanging, INotifyPropertyChanged
	{
		
		private static PropertyChangingEventArgs emptyChangingEventArgs = new PropertyChangingEventArgs(String.Empty);
		
		private int _Flight_ID;
		
		private string _Flight_Name;
		
		private string _Destination;
		
		private string _Departure;
		
		private System.DateTime _Date;
		
		private System.TimeSpan _Time;
		
		private System.Nullable<int> _Available_Seat_Eco_;
		
		private System.Nullable<int> _Available_Seat_Bsns_;
		
		private string _Economy_Cost;
		
		private string _Business_Cost;
		
    #region Extensibility Method Definitions
    partial void OnLoaded();
    partial void OnValidate(System.Data.Linq.ChangeAction action);
    partial void OnCreated();
    partial void OnFlight_IDChanging(int value);
    partial void OnFlight_IDChanged();
    partial void OnFlight_NameChanging(string value);
    partial void OnFlight_NameChanged();
    partial void OnDestinationChanging(string value);
    partial void OnDestinationChanged();
    partial void OnDepartureChanging(string value);
    partial void OnDepartureChanged();
    partial void OnDateChanging(System.DateTime value);
    partial void OnDateChanged();
    partial void OnTimeChanging(System.TimeSpan value);
    partial void OnTimeChanged();
    partial void OnAvailable_Seat_Eco_Changing(System.Nullable<int> value);
    partial void OnAvailable_Seat_Eco_Changed();
    partial void OnAvailable_Seat_Bsns_Changing(System.Nullable<int> value);
    partial void OnAvailable_Seat_Bsns_Changed();
    partial void OnEconomy_CostChanging(string value);
    partial void OnEconomy_CostChanged();
    partial void OnBusiness_CostChanging(string value);
    partial void OnBusiness_CostChanged();
    #endregion
		
		public Flight_Detail()
		{
			OnCreated();
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Flight_ID", DbType="Int NOT NULL", IsPrimaryKey=true)]
		public int Flight_ID
		{
			get
			{
				return this._Flight_ID;
			}
			set
			{
				if ((this._Flight_ID != value))
				{
					this.OnFlight_IDChanging(value);
					this.SendPropertyChanging();
					this._Flight_ID = value;
					this.SendPropertyChanged("Flight_ID");
					this.OnFlight_IDChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Flight_Name", DbType="NVarChar(30) NOT NULL", CanBeNull=false)]
		public string Flight_Name
		{
			get
			{
				return this._Flight_Name;
			}
			set
			{
				if ((this._Flight_Name != value))
				{
					this.OnFlight_NameChanging(value);
					this.SendPropertyChanging();
					this._Flight_Name = value;
					this.SendPropertyChanged("Flight_Name");
					this.OnFlight_NameChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Destination", DbType="NVarChar(20) NOT NULL", CanBeNull=false)]
		public string Destination
		{
			get
			{
				return this._Destination;
			}
			set
			{
				if ((this._Destination != value))
				{
					this.OnDestinationChanging(value);
					this.SendPropertyChanging();
					this._Destination = value;
					this.SendPropertyChanged("Destination");
					this.OnDestinationChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Departure", DbType="NVarChar(20) NOT NULL", CanBeNull=false)]
		public string Departure
		{
			get
			{
				return this._Departure;
			}
			set
			{
				if ((this._Departure != value))
				{
					this.OnDepartureChanging(value);
					this.SendPropertyChanging();
					this._Departure = value;
					this.SendPropertyChanged("Departure");
					this.OnDepartureChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Date", DbType="Date NOT NULL")]
		public System.DateTime Date
		{
			get
			{
				return this._Date;
			}
			set
			{
				if ((this._Date != value))
				{
					this.OnDateChanging(value);
					this.SendPropertyChanging();
					this._Date = value;
					this.SendPropertyChanged("Date");
					this.OnDateChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Time", DbType="Time NOT NULL")]
		public System.TimeSpan Time
		{
			get
			{
				return this._Time;
			}
			set
			{
				if ((this._Time != value))
				{
					this.OnTimeChanging(value);
					this.SendPropertyChanging();
					this._Time = value;
					this.SendPropertyChanged("Time");
					this.OnTimeChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Name="[Available_Seat(Eco)]", Storage="_Available_Seat_Eco_", DbType="Int")]
		public System.Nullable<int> Available_Seat_Eco_
		{
			get
			{
				return this._Available_Seat_Eco_;
			}
			set
			{
				if ((this._Available_Seat_Eco_ != value))
				{
					this.OnAvailable_Seat_Eco_Changing(value);
					this.SendPropertyChanging();
					this._Available_Seat_Eco_ = value;
					this.SendPropertyChanged("Available_Seat_Eco_");
					this.OnAvailable_Seat_Eco_Changed();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Name="[Available_Seat(Bsns)]", Storage="_Available_Seat_Bsns_", DbType="Int")]
		public System.Nullable<int> Available_Seat_Bsns_
		{
			get
			{
				return this._Available_Seat_Bsns_;
			}
			set
			{
				if ((this._Available_Seat_Bsns_ != value))
				{
					this.OnAvailable_Seat_Bsns_Changing(value);
					this.SendPropertyChanging();
					this._Available_Seat_Bsns_ = value;
					this.SendPropertyChanged("Available_Seat_Bsns_");
					this.OnAvailable_Seat_Bsns_Changed();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Economy_Cost", DbType="NVarChar(8) NOT NULL", CanBeNull=false)]
		public string Economy_Cost
		{
			get
			{
				return this._Economy_Cost;
			}
			set
			{
				if ((this._Economy_Cost != value))
				{
					this.OnEconomy_CostChanging(value);
					this.SendPropertyChanging();
					this._Economy_Cost = value;
					this.SendPropertyChanged("Economy_Cost");
					this.OnEconomy_CostChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Business_Cost", DbType="NVarChar(8) NOT NULL", CanBeNull=false)]
		public string Business_Cost
		{
			get
			{
				return this._Business_Cost;
			}
			set
			{
				if ((this._Business_Cost != value))
				{
					this.OnBusiness_CostChanging(value);
					this.SendPropertyChanging();
					this._Business_Cost = value;
					this.SendPropertyChanged("Business_Cost");
					this.OnBusiness_CostChanged();
				}
			}
		}
		
		public event PropertyChangingEventHandler PropertyChanging;
		
		public event PropertyChangedEventHandler PropertyChanged;
		
		protected virtual void SendPropertyChanging()
		{
			if ((this.PropertyChanging != null))
			{
				this.PropertyChanging(this, emptyChangingEventArgs);
			}
		}
		
		protected virtual void SendPropertyChanged(String propertyName)
		{
			if ((this.PropertyChanged != null))
			{
				this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
			}
		}
	}
}
#pragma warning restore 1591
